Я пытаюсь установить matplotlib-basemap через приглашение Anaconda, но он просто не работает.

Когда я печатаю:

conda install basemap

Ошибка, которую это дает:

UnsatisfiableError: The following specifications were found to be in conflict:
  - basemap
  - xlsxwriter

Означает ли это, что мне нужно удалить xlsxwriter (даже если он мне нужен)? Как я могу удалить это тогда?

Я также попытался загрузить его через https://www.lfd.uci.edu/~ gohlke / pythonlibs / # Базовая карта :

pip install basemap-1.1.0-cp27-cp27m-win_amd64.whl

Но тогда ошибка:

basemap-1.1.0-cp27-cp27m-win_amd64.whl is not a supported wheel on this platform.
3
Jellyse 4 Мар 2018 в 14:29

4 ответа

Лучший ответ

Это сработало, когда я набрал:

conda install -c conda-forge basemap
7
Jellyse 4 Мар 2018 в 12:32

Я должен был сделать то же самое несколько раз. Запустите от имени администратора >>> "Anaconda Prompt", затем введите:

conda install -c conda-forge basemap

Это сработало для меня.

0
SHR 2 Июл 2018 в 08:13

Я получил то же сообщение об ошибке. Я обновил conda, и после этого conda установил -c conda-forge basemap работал для меня.

0
Atroka 29 Сен 2019 в 22:15

Это будет работать, если вы введете эту команду:

conda install -c conda-forge basemap
1
merin 24 Янв 2020 в 01:38